Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?
How to install ZeroMQ on Ubuntu
# run in sudo
# Before installing, make sure you have installed all the needed packages
sudo apt-get install libtool pkg-config build-essential autoconf automake
sudo apt-get install libzmq-dev
# Install libsodium
git clone git://github.com/jedisct1/libsodium.git
cd libsodium
./autogen.sh
./configure && make check
sudo make install
sudo ldconfig
cd /opt
# Install zeromq
# latest version as of this post is 4.1.2
wget http://download.zeromq.org/zeromq-4.1.2.tar.gz
tar -xvf zeromq-4.1.2.tar.gz
cd zeromq-4.1.2
./configure
make
sudo make install
sudo apt-get install php5-dev php-pear
sudo pecl install zmq-beta
@udaikp916
Copy link

udaikp916 commented Aug 6, 2019

I tried using this code, but when I enter
wget http://download.zeromq.org/zeromq-4.1.7.tar.gz #this is the latest version

I get the error:
HTTP request sent, awaiting response... 404 Not Found

Is there a way to resolve this?

@mnlcandelaria
Copy link
Author

mnlcandelaria commented Aug 6, 2019

I tried using this code, but when I enter
wget http://download.zeromq.org/zeromq-4.1.7.tar.gz #this is the latest version

I get the error:
HTTP request sent, awaiting response... 404 Not Found

Is there a way to resolve this?

this is the latest version http://download.zeromq.org/zeromq-4.1.4.tar.gz

@Jean-Abou-Samra
Copy link

Jean-Abou-Samra commented Feb 2, 2020

Unfortunately, the second line fails for me on Ubuntu 18.04.3 LTS with the message "E: Package 'libzmq-dev' has no installation candidate". Replacing with "libzmq3-dev" solved the problem.
Also, the first compilation attempt failed, but it worked when I tried the latest 4.1.4 version.
Could you update the script ? Thanks.

@174cm
Copy link

174cm commented Jul 6, 2020

불행히도 Ubuntu 18.04.3 LTS에서 "E : Package 'libzmq-dev'에는 설치 후보가 없습니다"라는 메시지와 함께 두 번째 줄이 실패합니다. "libzmq3-dev"로 교체하면 문제가 해결되었습니다.
또한 첫 번째 컴파일 시도는 실패했지만 최신 4.1.4 버전을 시도했을 때 작동했습니다.
스크립트를 업데이트 할 수 있습니까? 감사.

Thanks to you, I solved it. Appreciation

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment